> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stickyqr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Customers

> Returns a list of customers whose attributes match a string



## OpenAPI

````yaml GET /customers/
openapi: 3.0.1
info:
  title: StickyQR Public API
  description: StickyQR Public API
  license:
    name: MIT
  version: 1.0.1
servers:
  - url: https://app.stickyqr.com/api
security:
  - bearerAuth: []
tags:
  - name: Account
  - name: Customers
  - name: Rewards
  - name: QR
paths:
  /customers/:
    get:
      tags:
        - Customers
      summary: Search Customers
      description: Returns a list of customers whose attributes match a string
      operationId: searchCustomers
      parameters:
        - name: x-lang
          in: header
          schema:
            type: string
            example: en
            default: en
          description: Language support
        - name: pageNumber
          in: query
          schema:
            type: string
            example: '1'
            default: '1'
          description: The page number to retrieve.
        - name: pageSize
          in: query
          schema:
            type: string
            example: '50'
            default: '20'
          description: The number of items per page.
        - name: name
          in: query
          schema:
            type: string
            example: John Doe
          description: The name you want to search for
      responses:
        '200':
          description: Successful Response / Successfull Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  hasMore:
                    type: boolean
                    description: Indicates whether more data pages are available
                  currentPage:
                    type: number
                    description: The current page number
                  pageSize:
                    type: number
                    description: The number of items returned per page
                  noCustomers:
                    type: number
                    description: The number of customers returned in the current page
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Customer's id
                        name:
                          type: string
                          description: Customer's name
                        email:
                          type: string
                          nullable: true
                          description: Customer's email
                        phone:
                          type: string
                          description: Customer's phone
                        avatar:
                          type: string
                          description: Link of customer's avatar
                        balance:
                          type: number
                          description: Current balance of customer
                        lifetimePoints:
                          type: number
                          description: >-
                            The cumulative points earned, excluding redeemed
                            points
              examples:
                Successful Response:
                  value:
                    hasMore: true
                    currentPage: 1
                    pageSize: 20
                    noCustomers: 123
                    data:
                      - id: <string>
                        name: <string>
                        phone: <string>
                        email: <string>
                        avatar: <string>
                        balance: 123
                        lifetimePoints: 123
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````